# interfaces Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KTextEditor::ViewCursorDCOPInterface Class Reference

This is the main interface to the ViewCursorInterface of KTextEdit. DCOP interface to ViewCursorInterface. More...

`#include <viewcursordcopinterface.h>`

Inheritance diagram for KTextEditor::ViewCursorDCOPInterface:

[legend]
Collaboration diagram for KTextEditor::ViewCursorDCOPInterface:

[legend]
List of all members.

## DCOP Member Functions

uint | viewCursorInterfaceNumber ()
QPoint | cursorCoordinates ()
void | cursorPosition (uint line, uint col)
void | cursorPositionReal (uint line, uint col)
bool | setCursorPosition (uint line, uint col)
bool | setCursorPositionReal (uint line, uint col)
uint | cursorLine ()
uint | cursorColumn ()
uint | cursorColumnReal ()
void | cursorPositionChanged ()

## Public Member Functions

| ViewCursorDCOPInterface (ViewCursorInterface *Parent, const char *name)
virtual | ~ViewCursorDCOPInterface ()

## Detailed Description

This is the main interface to the ViewCursorInterface of KTextEdit. DCOP interface to ViewCursorInterface.

This will provide a consistant dcop interface to all KDE applications that use it.

Author:
  Ian Reinhart Geiser <geiseri@kde.org>

Definition at line 18 of file viewcursordcopinterface.h.

## Constructor & Destructor Documentation

ViewCursorDCOPInterface::ViewCursorDCOPInterface | ( | ViewCursorInterface * | Parent,
|  | const char * | name
| ) |

Construct a new interface object for the text editor.

Parameters:

  | Parent | the parent ViewCursorInterface object that will provide us with the functions for the interface.
  | name | the QObject's name

Definition at line 9 of file viewcursordcopinterface.cpp.

ViewCursorDCOPInterface::~ViewCursorDCOPInterface | ( |  | ) | `[virtual]`

| Destructor Cleans up the object. Definition at line 15 of file viewcursordcopinterface.cpp.

## Member Function Documentation

QPoint ViewCursorDCOPInterface::cursorCoordinates | ( |  | ) |

| Get the current cursor coordinates in pixels. Definition at line 25 of file viewcursordcopinterface.cpp.

void ViewCursorDCOPInterface::cursorPosition | ( | uint | line,
|  | uint | col
| ) |

| Get the cursor position. Definition at line 30 of file viewcursordcopinterface.cpp.

void ViewCursorDCOPInterface::cursorPositionReal | ( | uint | line,
|  | uint | col
| ) |

| Get the cursor position, calculated with 1 character per tab. Definition at line 35 of file viewcursordcopinterface.cpp.

bool ViewCursorDCOPInterface::setCursorPosition | ( | uint | line,
|  | uint | col
| ) |

| Set the cursor position. Definition at line 40 of file viewcursordcopinterface.cpp.

bool ViewCursorDCOPInterface::setCursorPositionReal | ( | uint | line,
|  | uint | col
| ) |

| Set the cursor position, use 1 character per tab. Definition at line 45 of file viewcursordcopinterface.cpp.

The documentation for this class was generated from the following files:

- viewcursordcopinterface.h
- viewcursordcopinterface.cpp

This file is part of the documentation for interfaces Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:35:18 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003